#! /usr/bin/sh

if [ -x /usr/bin/verga ]; then
    verga=/usr/bin/verga;
else
    verga=../src/verga/verga
fi

not_ok="\
verga/gatelevel.v \
verga/gatelevel1.v \
verga-realtime/timer1.v \
verga-realtime/timer2.v \
tkgate/clock.v \
tkgate/hdl.v \
tkgate/symbol.v \
tkgate/timer.v \
tkgate/y.v"

for f in verga/*.v verga-realtime/*.v tkgate/*.v; do
    ok=ok
    for g in $not_ok; do
	if [ $g = $f ]; then
	    ok=ko
	fi
    done
    if [ $ok = ok ]; then
	echo "making $f ... "
	${verga} -q $f > ${f%.v}.out
    else
	echo "NOT making $f ... the test is unsure"
    fi
done

echo
echo "LIST OF (MAYBE) FAILING TESTS:"
echo "------------------------------"
echo
for f in $not_ok; do
    echo $f;
done

